All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.iquery.metadata.business
Class BusinessQueryActionType

    com.sas.iquery.metadata.business.BusinessQueryActionType

All Implemented Interfaces:
  com.sas.util.LocalizableToStringInterface

    public class BusinessQueryActionType

Specfies the different types of actions that can be performed on a BusinessQuery.

See Also:
  `BusinessQuery`

Field Summary
`static BusinessQueryActionType` | `FILTER_ITEM` The FILTER_ITEM action allow for the manipulation of the BusinessQuery's FilterItems
`static BusinessQueryActionType` | `FORMAT_EMPTY` The FORMAT_EMPTY determines whether a value for empty format can be set.
`static BusinessQueryActionType` | `PROPERTY_BUSINESS_QUERY_OLAP_SORT_PRECEDENCE` This action is associated with the BusinessQueryProperty.BUSINESS_QUERY_OLAP_SORT_PRECEDENCE property on a business query
`static BusinessQueryActionType` | `PROPERTY_EFFECTIVE_RESULT_ITEMS_IGNORE_PARENT_ITEMS` This action determines whether or not the result items from any parent query are ignored when compiling a list of effective result items for the `getEffectiveResultItems()` method.
`static BusinessQueryActionType` | `PROPERTY_EXCLUDE_EMPTY_DATA` This action determines whether EMPTY data is excluded from the resulting data.
`static BusinessQueryActionType` | `PROPERTY_INLINE_SETOPERATIONDATASELECTION` This action determines whether or not temporary tables are generated for SetOperationDataSelections wrapped by another DataSelection.
`static BusinessQueryActionType` | `PROPERTY_RESULT_ALIAS_IN_GROUP_BY` Deprecated. This action was added only for the s0se16 track. This option is not persisted.
`static BusinessQueryActionType` | `PROPERTY_RETURN_DISTINCT_VALUES` This action determines whether only DISTINCT values are returned.
`static BusinessQueryActionType` | `PROPERTY_RETURN_UNFORMATTED_DATA` This action determines whether FORMATTED or UNFORMATTED data is returned.
`static BusinessQueryActionType` | `RESULT_ITEM` The RESULT_ITEM action allow for the manipulation of the BusinessQuery's ResultItems
`static BusinessQueryActionType` | `SOLVE_ORDER_PRECEDENCE` The SOLVE_ORDER_PRECEDENCE determines whether the solveOrderPrecendence can be set to a business model .
`static BusinessQueryActionType` | `SORT_ASCENDING` The SORT_ASCENDING action sorts a business model in an ascending direction without retaining the hierarchy.
`static BusinessQueryActionType` | `SORT_CRITERIA` The SORT_CRITERIA determines whether the sort criteria for an OLAP query can be set.
`static BusinessQueryActionType` | `SORT_DESCENDING` The SORT_DESCENDING action sorts a business model in an descending direction without retaining the hierarchy.
`static BusinessQueryActionType` | `SORT_HIERARCHICAL_ASCENDING` The SORT_HIERARCHICAL_ASCENDING action sorts an OLAP business model in an ascending direction and retains the hierarchy.
`static BusinessQueryActionType` | `SORT_HIERARCHICAL_DESCENDING` The SORT_HIERARCHICAL_DESCENDING action sorts an OLAP business model in an descending direction and retains the hierarchy.
`static BusinessQueryActionType` | `SORT_NONE` The SORT_NONE action removes any sort criteria a business model .
`static BusinessQueryActionType` | `SORT_ORDER_PRECEDENCE` The SORT_ORDER_PRECEDENCE determines whether the sortOrderPrecendence can be set.
`static BusinessQueryActionType` | `STEP_DATABASED_FILTER` The STEP_DATABASED_FILTER action selects a set of Members based on some data-based criteria.
`static BusinessQueryActionType` | `STEP_EXCLUDE` The STEP_EXCLUDE action will exclude a specific column or row based on the dataItem, member value, and measure definition.
`static BusinessQueryActionType` | `STEP_RANK` The STEP_RANK action ranks a set of Members based on some specified context (Eg 1999, Sales).
`static BusinessQueryActionType` | `TOTAL` This action defines that totaling can be applied to this business query model.

Field Detail

*** This field is subject to change. ***

### STEP_DATABASED_FILTER

    public static final BusinessQueryActionType STEP_DATABASED_FILTER

  The STEP_DATABASED_FILTER action selects a set of Members based on some data-based criteria.

*** This field is subject to change. ***

### STEP_RANK

    public static final BusinessQueryActionType STEP_RANK

  The STEP_RANK action ranks a set of Members based on some specified context (Eg 1999, Sales).

*** This field is subject to change. ***

### STEP_EXCLUDE

    public static final BusinessQueryActionType STEP_EXCLUDE

  The STEP_EXCLUDE action will exclude a specific column or row based on the dataItem, member value, and measure definition.

*** This field is subject to change. ***

### RESULT_ITEM

    public static final BusinessQueryActionType RESULT_ITEM

  The RESULT_ITEM action allow for the manipulation of the BusinessQuery's ResultItems

*** This field is subject to change. ***

### FILTER_ITEM

    public static final BusinessQueryActionType FILTER_ITEM

  The FILTER_ITEM action allow for the manipulation of the BusinessQuery's FilterItems

*** This field is subject to change. ***

### FORMAT_EMPTY

    public static final BusinessQueryActionType FORMAT_EMPTY

  The FORMAT_EMPTY determines whether a value for empty format can be set.

*** This field is subject to change. ***

### SORT_ORDER_PRECEDENCE

    public static final BusinessQueryActionType SORT_ORDER_PRECEDENCE

  The SORT_ORDER_PRECEDENCE determines whether the sortOrderPrecendence can be set.

*** This field is subject to change. ***

### SORT_CRITERIA

    public static final BusinessQueryActionType SORT_CRITERIA

  The SORT_CRITERIA determines whether the sort criteria for an OLAP query can be set.

*** This field is subject to change. ***

### SORT_ASCENDING

    public static final BusinessQueryActionType SORT_ASCENDING

  The SORT_ASCENDING action sorts a business model in an ascending direction without retaining the hierarchy.

*** This field is subject to change. ***

### SORT_DESCENDING

    public static final BusinessQueryActionType SORT_DESCENDING

  The SORT_DESCENDING action sorts a business model in an descending direction without retaining the hierarchy.

*** This field is subject to change. ***

### SORT_HIERARCHICAL_ASCENDING

    public static final BusinessQueryActionType SORT_HIERARCHICAL_ASCENDING

  The SORT_HIERARCHICAL_ASCENDING action sorts an OLAP business model in an ascending direction and retains the hierarchy. into account.

*** This field is subject to change. ***

### SORT_HIERARCHICAL_DESCENDING

    public static final BusinessQueryActionType SORT_HIERARCHICAL_DESCENDING

  The SORT_HIERARCHICAL_DESCENDING action sorts an OLAP business model in an descending direction and retains the hierarchy. into account.

*** This field is subject to change. ***

### SORT_NONE

    public static final BusinessQueryActionType SORT_NONE

  The SORT_NONE action removes any sort criteria a business model .

*** This field is subject to change. ***

### SOLVE_ORDER_PRECEDENCE

    public static final BusinessQueryActionType SOLVE_ORDER_PRECEDENCE

  The SOLVE_ORDER_PRECEDENCE determines whether the solveOrderPrecendence can be set to a business model .

*** This field is subject to change. ***

### PROPERTY_RETURN_DISTINCT_VALUES

    public static final BusinessQueryActionType PROPERTY_RETURN_DISTINCT_VALUES

  This action determines whether only DISTINCT values are returned. The default is false, and this property is only used by Relational Structures.

*** This field is subject to change. ***

### PROPERTY_EXCLUDE_EMPTY_DATA

    public static final BusinessQueryActionType PROPERTY_EXCLUDE_EMPTY_DATA

  This action determines whether EMPTY data is excluded from the resulting data. The default is false, and this property is only used by OLAP Structures.

*** This field is subject to change. ***

### PROPERTY_RETURN_UNFORMATTED_DATA

    public static final BusinessQueryActionType PROPERTY_RETURN_UNFORMATTED_DATA

  This action determines whether FORMATTED or UNFORMATTED data is returned. The default is false, which means "ensure that at least FORMATTED data is returned in the resultset". True means "ensure that at least UNFORMATTED data is returned in the resultset".

*** This field is subject to change. ***

### PROPERTY_BUSINESS_QUERY_OLAP_SORT_PRECEDENCE

    public static final BusinessQueryActionType PROPERTY_BUSINESS_QUERY_OLAP_SORT_PRECEDENCE

  This action is associated with the BusinessQueryProperty.BUSINESS_QUERY_OLAP_SORT_PRECEDENCE property on a business query

*** This field is subject to change. ***

### TOTAL

    public static final BusinessQueryActionType TOTAL

  This action defines that totaling can be applied to this business query model.

*** This field is subject to change. ***

### PROPERTY_INLINE_SETOPERATIONDATASELECTION

    public static final BusinessQueryActionType PROPERTY_INLINE_SETOPERATIONDATASELECTION

  This action determines whether or not temporary tables are generated for SetOperationDataSelections wrapped by another DataSelection. The default is false, which means that temporary tables are created for SetOperationDataSelections. If set to "true", SetOperationDataSelection queries are generated as in line queries, without temporary tables. This property is only used by Relational Structures.

*** This field is subject to change. ***

### PROPERTY_EFFECTIVE_RESULT_ITEMS_IGNORE_PARENT_ITEMS

    public static final BusinessQueryActionType PROPERTY_EFFECTIVE_RESULT_ITEMS_IGNORE_PARENT_ITEMS

  This action determines whether or not the result items from any parent query are ignored when compiling a list of effective result items for the `getEffectiveResultItems()` method. The default is false which means that the effective items for a child query includes the effective items from it's parent.

*** This field is subject to change. ***

### PROPERTY_RESULT_ALIAS_IN_GROUP_BY

    public static final BusinessQueryActionType PROPERTY_RESULT_ALIAS_IN_GROUP_BY

  Deprecated. This action was added only for the s0se16 track. This option is not persisted.
  This action determines whether to generate group by clauses using fully qualified column names or to use standard SQL syntax of result column position numbers. The default is false, which means that we use standard SQL syntax in group by clauses. If set to "true", queries are generated with fully qualified column names in group by clauses. This action is only valid for Relational Structures.

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.